Nasıl kullanılır?
İki biçim kabul edilir: 192.0.2.10/24 (CIDR) ve 192.0.2.10 255.255.255.0 (adres ve maske). Girdiğiniz adres ağın içinde herhangi bir adres olabilir; hesap, o adresin ait olduğu ağ üzerinden yapılır. Alt ağlara bölme ve CIDR bloklarını birleştirme bölümleri aşağıda aynı sayfadadır.
Hesap nasıl yapılır?
- 1
Maskeyi çıkarın
/24için ilk 24 bit 1, kalan 8 bit 0 olur:255.255.255.0. - 2
Ağ adresini bulun
Adres ile maskenin bit düzeyinde VE (AND) işlemi ağ adresini verir.
- 3
Yayın adresini bulun
Ağ adresinin ana makine bitlerinin hepsi 1 yapılır; wildcard maske, maskenin tersidir.
- 4
Aralığı hesaplayın
Kullanılabilir adresler ağ ve yayın adresi dışında kalanlardır:
2^(32-önek) - 2.
| Önek | Maske | Toplam adres | Kullanılabilir adres |
|---|---|---|---|
| /8 | 255.0.0.0 | 16.777.216 | 16.777.214 |
| /16 | 255.255.0.0 | 65.536 | 65.534 |
| /24 | 255.255.255.0 | 256 | 254 |
| /25 | 255.255.255.128 | 128 | 126 |
| /26 | 255.255.255.192 | 64 | 62 |
| /27 | 255.255.255.224 | 32 | 30 |
| /28 | 255.255.255.240 | 16 | 14 |
| /29 | 255.255.255.248 | 8 | 6 |
| /30 | 255.255.255.252 | 4 | 2 |
| /31 | 255.255.255.254 | 2 | 2 (RFC 3021, noktadan noktaya) |
| /32 | 255.255.255.255 | 1 | 1 (tek ana makine) |
Özel ve ayrılmış aralıklar
Araç adresin kapsamını da bildirir. Bilmeniz gerekenler:
- Özel ağlar (RFC 1918):
10.0.0.0/8,172.16.0.0/12,192.168.0.0/16. İnternette yönlendirilmez. - CGNAT (RFC 6598):
100.64.0.0/10. Operatörlerin abone arasında paylaştırdığı alan. - Loopback ve link-local:
127.0.0.0/8ve169.254.0.0/16. - Dokümantasyon:
192.0.2.0/24,198.51.100.0/24,203.0.113.0/24. Örneklerde kullanılır, gerçek ağlarda kullanılmaz.
Proxy ve ağ işlerinde nerede işe yarar?
- Güvenlik duvarı veya erişim listesine bir IP aralığını tek satırla yazmak için doğru CIDR’yi bulmak.
- Bir hizmetin bildirdiği adres aralığının kaç adres içerdiğini görmek.
- Bir bloğu birden çok ağa bölerek her birine ayrı kural yazmak.
- Birden çok bitişik bloğu özetleyerek kural sayısını azaltmak.